omq.server

## Class RemoteWrapper

- java.lang.Object
- - omq.server.RemoteWrapper

-     public class RemoteWrapper
      extends java.lang.Object

  This class is used to encapsulate the invocationThreads under the RemoteObject.
  Author:
    Sergi Toda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteWrapper(RemoteObject obj, int numThreads, Serializer serializer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.concurrent.BlockingQueue<com.rabbitmq.client.QueueingConsumer.Delivery>` | `getDeliveryQueue()`
    `java.util.ArrayList<InvocationThread>` | `getInvocationList()`
    `int` | `getNumThreads()`
    `RemoteObject` | `getObj()`
    `void` | `notifyDelivery(com.rabbitmq.client.QueueingConsumer.Delivery delivery)` This method notifies a delivery to an invocationThread using a blockingQueue.
    `void` | `setDeliveryQueue(java.util.concurrent.BlockingQueue<com.rabbitmq.client.QueueingConsumer.Delivery> deliveryQueue)`
    `void` | `setInvocationList(java.util.ArrayList<InvocationThread> invocationList)`
    `void` | `setNumThreads(int numThreads)`
    `void` | `setObj(RemoteObject obj)`
    `void` | `stopRemoteWrapper()` This method interrups all the invocationThreads under this remoteWrapper

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteWrapper

          public RemoteWrapper(RemoteObject obj,
                       int numThreads,
                       Serializer serializer)

  - ### Method Detail

    - #### notifyDelivery

          public void notifyDelivery(com.rabbitmq.client.QueueingConsumer.Delivery delivery)
                              throws java.lang.Exception

      This method notifies a delivery to an invocationThread using a blockingQueue.
      Parameters:
        `delivery` - - delivery which contains a Request to be invoked
      Throws:
        `java.lang.Exception`

    - #### stopRemoteWrapper

          public void stopRemoteWrapper()

      This method interrups all the invocationThreads under this remoteWrapper

    - #### getObj

          public RemoteObject getObj()

    - #### setObj

          public void setObj(RemoteObject obj)

    - #### getNumThreads

          public int getNumThreads()

    - #### setNumThreads

          public void setNumThreads(int numThreads)

    - #### getInvocationList

          public java.util.ArrayList<InvocationThread> getInvocationList()

    - #### setInvocationList

          public void setInvocationList(java.util.ArrayList<InvocationThread> invocationList)

    - #### getDeliveryQueue

          public java.util.concurrent.BlockingQueue<com.rabbitmq.client.QueueingConsumer.Delivery> getDeliveryQueue()

    - #### setDeliveryQueue

          public void setDeliveryQueue(java.util.concurrent.BlockingQueue<com.rabbitmq.client.QueueingConsumer.Delivery> deliveryQueue)